Bug 15199 - Missing almost all error constants in Errno.pm
Missing almost all error constants in Errno.pm
Status: CLOSED DUPLICATE of bug 14779
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
Blocks: 14990
  Show dependency treegraph
Reported: 2000-08-02 21:15 EDT by Peter Kjellerstedt
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-02 21:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Kjellerstedt 2000-08-02 21:15:00 EDT
Just about all error constants are missing from the /usr/lib/perl5/5.6.0/i386-linux/Errno.pm file from perl-5.6.0-6.i386.rpm.

This will result in some strange behaviour when modules that rely on these constants suddenly stop working as expected. I noticed it when I 
could not get IO::Socket::INET to connect to any host at all if there was a timeout specified. It turned out that it wanted to check if connect() 
had returned EINPROGRESS, but as that error was not defined it instead failed to create the socket...

The following small program will fail with "Failed: Operation now in progress" (assuming a host with the name www exists).

#!/usr/bin/perl -w

use IO::Socket::INET;

IO::Socket::INET->new(PeerAddr => 'www',
		      PeerPort => 80,
		      Proto    => 'tcp',
		      Timeout  => 180) or die "Failed: $!\n";

print "Success\n";
Comment 1 Peter Kjellerstedt 2000-08-02 21:39:07 EDT
After a simple test it turned out that this may be the cause for bug #14990 too, as the test supplied for it starts working after I added the required errors 
to Errno.pm.
Comment 2 Nalin Dahyabhai 2000-08-03 07:41:14 EDT
This was fixed for #14779.

*** This bug has been marked as a duplicate of 14779 ***

Note You need to log in before you can comment on or make changes to this bug.